## AgsOscPluginController

AgsOscPluginController — provide abstract OSC controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_osc_plugin_controller_do_request ()

## Object Hierarchy

        GInterface
        ╰── AgsOscPluginController

## Includes

    #include <ags/audio/osc/controller/ags_osc_plugin_controller.h>

## Description

The AgsOscPluginController provides you an abstraction of OSC controller implementation.

## Functions

### ags_osc_plugin_controller_do_request ()

    gpointer
    ags_osc_plugin_controller_do_request (AgsOscPluginController *osc_plugin_controller,
                                          AgsOscConnection *osc_connection,
                                          guchar *message,
                                          guint message_size);

Do request.

#### Parameters

osc_plugin_controller | the AgsOscPluginController |
osc_connection | the AgsOscConnection |
message | the OSC message |
message_size | the message size |

#### Returns

the GList containing AgsOscResponse

Since: 3.0.0